Skip to Content
FlowVerifyDevelopers

Rename a file

Scope envelopes:write.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid
fileId*string
Formatuuid

Request Body

application/json
  1. body
name*string
Lengthlength <= 255

Response Body

The renamed file

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X PATCH 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/files/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "file",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "size": 0,    "content_type": "string",    "page_count": 0,    "order": 0,    "fields": [      {        "object": "field",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",        "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",        "type": "signature",        "label": "string",        "page": 0,        "x": 0,        "y": 0,        "width": 0,        "height": 0,        "required": true,        "value": "string",        "is_filled": true      }    ]  }}